summaryrefslogtreecommitdiff
path: root/multimedia/adobe-flash-plugin11/Makefile
blob: 163ec3bc4963690672cd870b1973c194ee2b0cf5 (plain)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
# $NetBSD: Makefile,v 1.49.2.2 2015/10/18 19:08:07 spz Exp $

DISTNAME=		flash-plugin-${FLASH_VERSION}-release.${FLASH_ARCH}
PKGNAME=		adobe-${DISTNAME:C/-release.*//}
CATEGORIES=		multimedia www
MASTER_SITES=		http://fpdownload.macromedia.com/get/flashplayer/pdc/${FLASH_VERSION}/

MAINTAINER=		pkgsrc-users@NetBSD.org
HOMEPAGE=		http://www.adobe.com/products/flashplayer.html
COMMENT=		Adobe Flash Player Browser plugin
LICENSE=		flash-license

RESTRICTED=		Redistribution not permitted
NO_BIN_ON_CDROM=	${RESTRICTED}
NO_BIN_ON_FTP=		${RESTRICTED}
NO_SRC_ON_CDROM=	${RESTRICTED}
NO_SRC_ON_FTP=		${RESTRICTED}

# On NetBSD, requires sufficiently new compat_linux.
NOT_FOR_PLATFORM=	NetBSD-[0-4]*-* NetBSD-5.[0-9].*-*

WRKSRC=			${WRKDIR}
BUILD_DIRS=		# empty
EXTRACT_SUFX=		.rpm

CRYPTO=			yes

# XXX At present, it seems www/nspluginwrapper does not support native x86_64
#     plugin. --2011-10-08 ryoon
EMUL_PLATFORMS=		linux-i386 #linux-x86_64
EMUL_MODULES.linux=	gtk2 x11 krb5 alsa curl nss nspr
EMUL_REQD=		suse>=11.3

FLASH_VERSION=		11.2.202.540

.include "../../mk/bsd.prefs.mk"

.if ${EMUL_PLATFORM} == "linux-i386"
FLASH_ARCH=		i386
FLASH_LIBDIR=		lib
.elif ${EMUL_PLATFORM} == "linux-x86_64"
FLASH_ARCH=		x86_64
FLASH_LIBDIR=		lib64
.endif

CONFLICTS=		ns-flash-[0-9]*

NS_PLUGINS_DIR=		${PREFIX}/lib/netscape/plugins

.include "options.mk"

do-install:
	${INSTALL_DATA_DIR} ${DESTDIR}${NS_PLUGINS_DIR}
	${INSTALL_DATA} ${WRKSRC}/usr/${FLASH_LIBDIR}/flash-plugin/libflashplayer.so \
		${DESTDIR}${NS_PLUGINS_DIR}

.include "../../mk/bsd.pkg.mk"